Migrate transactions

Start migration of transactions.

This endpoint generates the following events:

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Start migration of transactions

migration
object
required

Applicant additional migration information

string
required
length ≤ 25

Human-readable description that identifies the transaction. For an installment purchase, this usually is the merchant name, the city/state, and the installment number. For example, the value Wellmart NYC 2/4 indicates the merchant is Wellmart, the transaction was made in New York City, and it is installment 2 of 4.

string
enum
required

Transaction types:

  • BILLED—The customer has already been billed for the transaction. Debit accounts and banking transactions typically use this type.
  • TO_BE_BILLED—The transaction has not been billed according to the platform records. That transaction will be added to the "opened statement" of the account.
  • INSTALLMENTS—Represents an entire installment contract with pending future installments, including information for each individual (past or future) installment. For contracts fully in the past, it is sufficient to migrate past individual installments as BILLED or TO_BE_BILLED transactions, and the INSTALLMENTS type is not necessary.
  • INSTANT_PAYMENT—The transaction is an instant payment, such as a Pix payment in Brazil. This type requires an instant_payment_data object with details of the transaction. Authorization type should be BANKING.
  • STORED—The transaction gets allocated to a future statement.
Allowed:
string
enum

Type of authorized transaction you want to migrate to Pismo:

  • NETWORK—Network-authorized transaction, such as VISA or Mastercard
  • PLATFORM—Bank-authorized transaction, such as fines, fees, or adjustments
  • ON_US—Merchant-authorized transaction, such as private label cards used in the marketplace
  • BANKING—Instant-payment transaction, such as the Pix system in Brazil

Note: This parameter is REQUIRED for the following transaction types:

  • BILLED
  • TO_BE_BILLED
  • INSTALLMENTS
  • STORED
Allowed:
string

Pismo processing code. Requires previous configuration in Pismo Control Center.

string

Pismo processing descriptor. Requires previous configuration in Pismo Control Center.

transaction_type
object

Pismo transaction type ID. Requires previous configuration in Pismo Control Center.

string
enum

Card network name. Required for NETWORK authorization type.

Allowed:
string

Card-network-provided original transaction ID (DE 63 for Mastercard, DE 62.2 for Visa). The Pismo platform uses this field to retrieve corresponding network authorization during migration process.

Note: This field is critical for performing network reconciliations after migration. If you need to migrate pending authorizations but you don't have this ID, contact your Pismo representative for guidance.

string

ID of the merchant accepting the card for network authorization. (Only for NETWORK authorization type.)

string
length ≤ 15

Merchant city (DE 43 city field, maximum 15 characters)

string

Merchant name. (Only for NETWORK authorization type.)

integer

ID of merchant category. (Only for NETWORK authorization type.)

string

Merchant state or country. (Only for NETWORK authorization type.)

string

Retrieval reference number. (Only for NETWORK authorization type.)

date

Confirmation date for clearing. Format = YYYY-MM-DD. (Only for NETWORK authorization type.)

int32
≥ 1

Number of installments

boolean

Is this transaction part of an installment contract? Set to true only if transaction type is BILLED or TO_BE_BILLED.

boolean

Is the transaction part of an installment contract and does it have interest? Set to true only if the transaction type is BILLED or TO_BE_BILLED.

integer

ID of transaction type for managing installments with flexible transaction types and processing codes

integer

Installment number, starting with 1. Only for installment sent as BILLED or TO_BE_BILLED type. Not necessary to send with INSTALLMENTS type. (First installment has installment number 1.)

string

Original transaction date and hour. Format = YYYY-MM-DDTHH:mm:ssZ.

string

Date and time when transaction is due

date

Creation date of accounting record. Using the go-live date is recommended. Format = YYYY-MM-DD.

number

Settlement currency rate. (Only for NETWORK authorization type.)

number

Transaction's cardholder amount

string

Transaction's cardholder currency code

number

Conversion rate between local value and cardholder value. (Only for NETWORK authorization type.)

number

Interest rate. When using INSTALLMENTS transaction type, this sets the interest rate for all installment contracts.

number

Interest amount. When using INSTALLMENTS transaction type, sets the interest amount for all installment contracts.

number

IOF amount (Brazil only). If the transaction did not take place in Brazil, this should be left blank.

string

Authorization code

amounts
array of objects

List of amounts

amounts
string
enum

Installment type (WITHOUT_INTEREST, WITH_INTEREST, or STATEMENT). Note that you use STATEMENT to migrate payment_agreement data.

Allowed:
installments
array of objects

Installment list

installments
number

Amount of pending interest in an installment transaction. When you migrate an installment transaction that still has pending interest, you must provide the interest amount so that the Pismo platform can calculate the accruals. This value must only be used on BILLED and TO_BE_BILLED transactions when they are WITH_INTEREST. Otherwise, the value must be zero or omitted.

metadata
object

Transaction metadata

boolean
Defaults to false

Is this an installment or a refinancing product? If true, the Pismo platform creates the payment_agreement entity automatically, so you do not have to call the Create payment agreement endpoint separately after transaction migration. This field only affects the INSTALLMENTS type transaction.

payment_agreement_data
object

Payment agreement data. This object only affects INSTALLMENTS type transactions and only when the payment_agreement attribute is set to true.

instant_payment_data
object

Defines specific options for instant payment transactions. REQUIRED when the transaction_type is INSTANT_PAYMENT.

Headers
string
required

JSON Web Token (JWT). Tokens expire quickly, which can result in an Unauthorized message.

Responses
202

Accepted

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json